Package org.flowable.cmmn.model

# Class PlanItemControl

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemControl

All Implemented Interfaces:
  `HasExtensionAttributes`

public class PlanItemControl extends CaseElement

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CompletionNeutralRule`
  `completionNeutralRule`
  `protected ManualActivationRule`
  `manualActivationRule`
  `protected ParentCompletionRule`
  `parentCompletionRule`
  `protected ReactivationRule`
  `reactivationRule`
  `protected RepetitionRule`
  `repetitionRule`
  `protected RequiredRule`
  `requiredRule`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanItemControl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompletionNeutralRule`
  `getCompletionNeutralRule()`
  `ManualActivationRule`
  `getManualActivationRule()`
  `ParentCompletionRule`
  `getParentCompletionRule()`
  `ReactivationRule`
  `getReactivationRule()`
  `RepetitionRule`
  `getRepetitionRule()`
  `RequiredRule`
  `getRequiredRule()`
  `void`
  `setCompletionNeutralRule(CompletionNeutralRule completionNeutralRule)`
  `void`
  `setManualActivationRule(ManualActivationRule manualActivationRule)`
  `void`
  `setParentCompletionRule(ParentCompletionRule parentCompletionRule)`
  `void`
  `setReactivationRule(ReactivationRule reactivationRule)`
  `void`
  `setRepetitionRule(RepetitionRule repetitionRule)`
  `void`
  `setRequiredRule(RequiredRule requiredRule)`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### requiredRule

    protected RequiredRule requiredRule

  - ### repetitionRule

    protected RepetitionRule repetitionRule

  - ### manualActivationRule

    protected ManualActivationRule manualActivationRule

  - ### completionNeutralRule

    protected CompletionNeutralRule completionNeutralRule

  - ### parentCompletionRule

    protected ParentCompletionRule parentCompletionRule

  - ### reactivationRule

    protected ReactivationRule reactivationRule

- ## Constructor Details

  - ### PlanItemControl

    public PlanItemControl()

- ## Method Details

  - ### getRequiredRule

    public RequiredRule getRequiredRule()

  - ### setRequiredRule

    public void setRequiredRule(RequiredRule requiredRule)

  - ### getRepetitionRule

    public RepetitionRule getRepetitionRule()

  - ### setRepetitionRule

    public void setRepetitionRule(RepetitionRule repetitionRule)

  - ### getManualActivationRule

    public ManualActivationRule getManualActivationRule()

  - ### setManualActivationRule

    public void setManualActivationRule(ManualActivationRule manualActivationRule)

  - ### getCompletionNeutralRule

    public CompletionNeutralRule getCompletionNeutralRule()

  - ### setCompletionNeutralRule

    public void setCompletionNeutralRule(CompletionNeutralRule completionNeutralRule)

  - ### getParentCompletionRule

    public ParentCompletionRule getParentCompletionRule()

  - ### setParentCompletionRule

    public void setParentCompletionRule(ParentCompletionRule parentCompletionRule)

  - ### getReactivationRule

    public ReactivationRule getReactivationRule()

  - ### setReactivationRule

    public void setReactivationRule(ReactivationRule reactivationRule)